# Whois

## Get a list of WHOIS records

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/whois/list.json`

Returns a paginated list of WHOIS records.

<https://app.halosecurity.com/user/security/website/summary/whois>

#### Query Parameters

| Name         | Type   | Description            |
| ------------ | ------ | ---------------------- |
| organization | String | Filter by organization |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "whois": {
                "date_updated": "0000-00-00 00:00",
                "target_name": "",
                "domain_age": 0,
                "contact_admin": {
                    "organization": "",
                    "telephone": "0-000-000-0000",
                    "email": "abuse@example.com"
                },
                "date_created": "0000-00-00 00:00",
                "registrar_name": "ARIN",
                "phones": [
                    "0-000-000-0000"
                ],
                "monitor_state": 1,
                "target_id": 1,
                "target": "www.example.com",
                "emails": [
                    "abuse@example.com",
                    "noc-contact@example.com"
                ],
                "scope": 0,
                "organization": "Technologies Inc.",
                "domain": "0.0.0.0",
                "risk": "none",
                "state": "WA",
                "contact_tech": {
                    "organization": "Network Operations",
                    "telephone": "0-000-000-0000",
                    "email": "noc-contact@example.com"
                },
                "status": [
                    "NETWORK"
                ]
            },
            "target": {
                "target_name": "",
                "target_id": 1,
                "target": "www.example.com"
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}
